Package org.eclipse.cdt.core.resources

# Class ResourcesUtil

java.lang.Object
org.eclipse.cdt.core.resources.ResourcesUtil

public class ResourcesUtil extends Object
A collection of utility methods related to resources.

Since:
  5.3

## Constructor Summary

Constructors
Constructor
Description
`ResourcesUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`refreshWorkspaceFiles(URI uri)`
Refresh file when it happens to belong to Workspace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourcesUtil

public ResourcesUtil()

## Method Details

### refreshWorkspaceFiles

public static void refreshWorkspaceFiles(URI uri)
Refresh file when it happens to belong to Workspace. There could be multiple workspace `IFile` associated with one URI. Hint: use `URIUtil.toURI(String)` to convert filesystem path to URI.

Parameters:
  `uri` - - URI of the file.